/**
 * Hello my name is -badge.
 */
THREE.Sign = function(texture) {

	THREE.Object3D.call(this);

	this.type = 'Sign';

	var $this = this;

	var loader = new THREE.JSONLoader();
	loader.load( 'models/sign.js', function ( geometry, materials ) {
		var mat = new THREE.MeshFaceMaterial(materials);
		$this.mesh = new THREE.Mesh( geometry, mat );
		$this.add($this.mesh);
	});

	this.animate = function(n)
	{

	}

};

THREE.Sign.prototype = Object.create(THREE.Object3D.prototype);
THREE.Sign.prototype.constructor = THREE.Sign;